import type { CollectionSlug, TypedLocale } from '../../..//index.js';
import type { Payload } from '../../../index.js';
import type { Document, PayloadRequest, RequestContext, SelectType, TransformCollectionWithSelect } from '../../../types/index.js';
import type { SelectFromCollectionSlug } from '../../config/types.js';
export type Options<TSlug extends CollectionSlug, TSelect extends SelectType> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    depth?: number;
    disableTransaction?: boolean;
    draft?: boolean;
    fallbackLocale?: TypedLocale;
    id: number | string;
    locale?: TypedLocale;
    overrideAccess?: boolean;
    req?: PayloadRequest;
    select?: TSelect;
    showHiddenFields?: boolean;
    user?: Document;
};
export declare function duplicate<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: Options<TSlug, TSelect>): Promise<TransformCollectionWithSelect<TSlug, TSelect>>;
//# sourceMappingURL=duplicate.d.ts.map