import type { PaginatedDocs } from '../../../database/types.js';
import type { CollectionSlug, JoinQuery, Payload, TypedLocale } from '../../../index.js';
import type { Document, PayloadRequest, RequestContext, SelectType, Sort, TransformCollectionWithSelect, Where } from '../../../types/index.js';
import type { SelectFromCollectionSlug } from '../../config/types.js';
export type Options<TSlug extends CollectionSlug, TSelect extends SelectType> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    currentDepth?: number;
    depth?: number;
    disableErrors?: boolean;
    draft?: boolean;
    fallbackLocale?: TypedLocale;
    includeLockStatus?: boolean;
    joins?: JoinQuery;
    limit?: number;
    locale?: 'all' | TypedLocale;
    overrideAccess?: boolean;
    page?: number;
    pagination?: boolean;
    req?: PayloadRequest;
    select?: TSelect;
    showHiddenFields?: boolean;
    sort?: Sort;
    user?: Document;
    where?: Where;
};
export declare function findLocal<TSlug extends CollectionSlug, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: Options<TSlug, TSelect>): Promise<PaginatedDocs<TransformCollectionWithSelect<TSlug, TSelect>>>;
//# sourceMappingURL=find.d.ts.map