import type { CollectionSlug, JoinQuery, Payload, SelectType, TypedLocale } from '../../../index.js';
import type { ApplyDisableErrors, Document, PayloadRequest, RequestContext, TransformCollectionWithSelect } from '../../../types/index.js';
import type { SelectFromCollectionSlug } from '../../config/types.js';
export type Options<TSlug extends CollectionSlug, TDisableErrors extends boolean, TSelect extends SelectType> = {
    collection: TSlug;
    /**
     * context, which will then be passed to req.context, which can be read by hooks
     */
    context?: RequestContext;
    currentDepth?: number;
    depth?: number;
    disableErrors?: TDisableErrors;
    draft?: boolean;
    fallbackLocale?: TypedLocale;
    id: number | string;
    includeLockStatus?: boolean;
    joins?: JoinQuery;
    locale?: 'all' | TypedLocale;
    overrideAccess?: boolean;
    req?: PayloadRequest;
    select?: TSelect;
    showHiddenFields?: boolean;
    user?: Document;
};
export default function findByIDLocal<TSlug extends CollectionSlug, TDisableErrors extends boolean, TSelect extends SelectFromCollectionSlug<TSlug>>(payload: Payload, options: Options<TSlug, TDisableErrors, TSelect>): Promise<ApplyDisableErrors<TransformCollectionWithSelect<TSlug, TSelect>, TDisableErrors>>;
//# sourceMappingURL=findByID.d.ts.map