import type { PayloadRequest } from '../../../types/index.js';
import type { RunJobResult } from './runJob/index.js';
export type RunJobsArgs = {
    limit?: number;
    overrideAccess?: boolean;
    queue?: string;
    req: PayloadRequest;
};
export type RunJobsResult = {
    jobStatus?: Record<string, RunJobResult>;
    /**
     * If this is false, there for sure are no jobs remaining, regardless of the limit
     */
    noJobsRemaining?: boolean;
    /**
     * Out of the jobs that were queried & processed (within the set limit), how many are remaining and retryable?
     */
    remainingJobsFromQueried: number;
};
export declare const runJobs: ({ limit, overrideAccess, queue, req, }: RunJobsArgs) => Promise<RunJobsResult>;
//# sourceMappingURL=index.d.ts.map